Package Details: vim-gitgutter-git 409.gdcac1f7-1

Git Clone URL: https://aur.archlinux.org/vim-gitgutter-git.git (read-only, click to copy)
Package Base: vim-gitgutter-git
Description: A Vim plugin which shows a git diff in the 'gutter'
Upstream URL: https://github.com/airblade/vim-gitgutter
Licenses: MIT
Groups: vim-plugins
Conflicts: vim-gitgutter
Provides: vim-gitgutter
Submitter: jsst
Maintainer: eschwartz
Last Packager: eschwartz
Votes: 6
Popularity: 0.000000
First Submitted: 2013-04-17 18:40
Last Updated: 2017-07-20 16:26

Latest Comments

1 2 Next › Last »

Rhinoceros commented on 2020-06-25 13:41

Personally, yes! I agree with you, and also very much dislike epochs. However, I was more perturbed by the slightly-hard-to-read versioning. But up to you of course!

eschwartz commented on 2020-06-25 12:15

Regrettably, it was like this when I adopted it.

I could add the "r", but it would require adding an epoch as well. That is what held me back, 5 years ago. I figured it wasn't a high priority since I doubt this upstream will ever do tags.

Considering it would add an epoch and become "1:r409.gdcac1f7-1", are you sure you still want it?

Rhinoceros commented on 2020-06-25 10:07

Could you please change the pkgver format to be consistent with the advice in the wiki? i.e. printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)" Thanks in advance!

petronny commented on 2019-01-10 07:37

Hi, could you removed groups=(vim-plugins) from the PKGBUILD? It's not It's not necessary for AUR. And if a third-party repository provides the binary version of this package, it will alter the behavior of installing the official group which may causes somethings, such as tutorials for beginners, fail.

jsst commented on 2014-07-22 21:00

You can't use wildcards with install, but I refactored it into a for-loop.

Svenstaro commented on 2014-07-22 19:02

You can probably use a wildcard to cut don't lines there.

jsst commented on 2014-07-22 18:12

I retook and fixed the package, thanks for the feedback!

Svenstaro commented on 2014-07-22 02:43

Orphaning as author isn't taking action. Author, feel free to take back the package and update it.

Svenstaro commented on 2014-07-11 15:39

There have been some upstream changes that will need you to change the PKGBUILD a bit. Currently it fails to work.

jsst commented on 2013-04-20 09:36

Please elaborate, this package conforms to the VCS guidelines AND uses the 4.1 features.